#3134 closed enhancement (fixed)

Remove LIBIO_FLAGS_CREATE

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: fs Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Remove unused LIBIO_FLAGS_CREATE flag.

Change History (3)

comment:1 Changed on Sep 14, 2017 at 5:10:53 AM by Sebastian Huber

The LIBIO_FLAGS_CREATE is actually used in one place via rtems_libio_to_fcntl_flags() for fcntl(fd, F_GETFL). However, POSIX mandates that only access and status flags are returned.

http://pubs.opengroup.org/onlinepubs/9699919799/functions/fcntl.html

Status flags are defined here:

http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/fcntl.h.html

comment:2 Changed on Sep 15, 2017 at 8:58:34 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 5eb67f3/rtems:

libio: Remove LIBIO_FLAGS_CREATE

Close #3134.

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.